import React from 'react';
import { Mail, Github, Linkedin, User, Code, BookOpen, Building, MapPin, GraduationCap } from 'lucide-react';
import GlitchyLink from './GlitchyLink';

const ProfileContent: React.FC = () => {
  return (
    <div className="flex-1 overflow-auto">
      <div className="space-y-8">
        <div className="flex items-center gap-2">
          <User className="w-6 h-6" />
          <h2 className="text-2xl font-bold">José Henrique Ivanchechen</h2>
        </div>

        <div className="flex items-center gap-2">
          <Code className="w-6 h-6" />
          <p className="text-lg">Software Engineer</p>
        </div>

        <div className="flex items-center gap-2">
          <Building className="w-6 h-6" />
          <p className="text-lg">EposNow</p>
        </div>

        <div className="flex items-center gap-2">
          <GraduationCap className="w-6 h-6" />
          <p className="text-lg">UTFPR</p><small>(Federal University of Technology of Paraná)</small>
        </div>

        <div className="flex items-center gap-2">
          <MapPin className="w-6 h-6" />
          <p className="text-lg">Curitiba, PR - Brazil</p>
        </div>

        <div className="flex items-center gap-2">
          <BookOpen className="w-6 h-6" />
          <p className="text-lg">5+ Years Experience</p>
        </div>

        <div className="mt-12 space-y-6">
          <h3 className="text-xl font-semibold">&gt; Contact Info:</h3>
          <div className="space-y-4 pl-6">
            <div className="flex items-center gap-3">
              <Mail className="w-5 h-5" />
              <GlitchyLink
                text="jose.henrique.ivan@gmail.com"
                url="mailto:jose.henrique.ivan@gmail.com"
                type="email"
              />
            </div>
            <div className="flex items-center gap-3">
              <Github className="w-5 h-5" />
              <GlitchyLink text="@ivanch" url="https://github.com/ivanch" />
            </div>
            <div className="flex items-center gap-3">
              <Linkedin className="w-5 h-5" />
              <GlitchyLink text="/in/joseivanch" url="https://linkedin.com/in/joseivanch" />
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default ProfileContent;