import React from 'react';
import { ChevronRight } from 'lucide-react';

interface TerminalButtonProps {
  children: React.ReactNode;
  onClick?: () => void;
  isSelected?: boolean;
}

const TerminalButton: React.FC<TerminalButtonProps> = ({ children, onClick, isSelected }) => {
  const playKeyPress = () => {
    const audio = new Audio('data:audio/wav;base64,UklGRnQGAABXQVZFZm10IBAAAAABAAEARKwAAIhYAQACABAAZGF0YU8GAACBhYqFbF1fdH2Dg4R/gIKFi4SAgX98eoCFhQAAhIWKhWxdX3R9g4OEf4CChYuEgIF/fHqAhYUAAP//');
    audio.volume = 0.2;
    audio.play().catch(() => {});
  };

  const handleClick = (e: React.MouseEvent) => {
    playKeyPress();
    onClick?.(e);
  };

  return (
    <button 
      className={`terminal-button group ${isSelected ? 'terminal-button-selected' : ''}`}
      onClick={handleClick}
    >
      <div className="glare-effect"></div>
      <ChevronRight className="inline-block mr-2 w-4 h-4 transition-transform group-hover:translate-x-1" />
      {children}
    </button>
  );
}

export default TerminalButton;