import { IShellCommand } from "./IShellCommand";

export class matrix implements IShellCommand {
    getName(): string {
        return 'matrix';
    }

    getManPage(): string {
        return 'matrix - displays a matrix-style text animation\n\nUsage: matrix';
    }

    execute(): string {
        const width = 40;
        const height = 15;
        const characters = '日ﾊﾐﾋｰｳｼﾅﾓﾆｻﾜﾂｵﾘｱﾎﾃﾏｹﾒｴｶｷﾑﾕﾗｾﾈｽﾀﾇﾍ';

        const matrixHtml = `
            <div class="matrix-text-animation">
                ${Array(height).fill(0).map(() => `
                    <div class="matrix-line">
                        ${Array(width).fill(0).map(() => `
                            <span class="matrix-char" style="animation-delay: ${Math.random() * 5}s">
                                ${characters[Math.floor(Math.random() * characters.length)]}
                            </span>
                        `).join('')}
                    </div>
                `).join('')}
            </div>
        `;

        return matrixHtml;
    }
}
