import { IShellCommand } from "./IShellCommand";
import { ShellSyscall } from "../ShellSyscall";

export class mkdir implements IShellCommand {
    constructor(private syscall: ShellSyscall) {}

    getName(): string {
        return 'mkdir';
    }

    getManPage(): string {
        return 'mkdir - make directories\n\nUsage: mkdir directory_name';
    }

    execute(args: string[]): string {
        if (args.length !== 1) {
            return 'Usage: mkdir directory_name';
        }

        this.syscall.createDirectory(args[0]);
        return '';
    }
}
