import { IShellCommand } from "./IShellCommand";
import { ShellSyscall } from "../ShellSyscall";

export class touch implements IShellCommand {
    constructor(private syscall: ShellSyscall) {}

    getName(): string {
        return "touch";
    }

    execute(args: string[]): string {
        if (args.length === 0) return "touch: missing file operand";
        this.syscall.createFile(args[0]);
        return "";
    }

    getManPage(): string {
        return "touch - create an empty file";
    }
}
